# Create access token

This API endpoint creates an access token that has a specified access to a specified set of paths. These tokens can be used as an alternative form of authentication when login tokens cannot be used practically or safely. Use security best practices when handling tokens, such as only granting the minimally required access and deleting access token that are unused or compromised.

These token are opaque strings and can be used in the authorization header of API requests as a bearer token.

| **Description** | Request to create an access token. |
| --------------- | ---------------------------------- |
| **Endpoint**    | `/account/security/accessToken`    |
| **Method**      | POST                               |

### Access Level Rules

| **Minimum Access Level** | Equal to the access level of the created token |
| ------------------------ | ---------------------------------------------- |

### Processing Units

| **Processing units** | 0 |
| -------------------- | - |

### Parameters

<table><thead><tr><th>Name</th><th width="276">Description</th><th>Required</th><th>Default</th></tr></thead><tbody><tr><td><code>accessList</code></td><td><p>Array of objects, each of which contain the properties "pathId" and "access". "pathId" is the id of the path that the token can access and "access" is an object with a properties:</p><p></p><p>1 "accessTier": describing what actions the token can perform on the path. "accessTier" must be one of "view", "viewPlus", "share", "edit", "fullView", "editPlus" or "admin". </p><p></p><p>2 "geoFence" Object with "tiles" and "maxZoom" describing the resolution and/or subregions the token can access.</p><p></p><p>3 "propertyFence" an array with property names of the properties the token is allowed to access. This functionality is only available for vector layers.</p></td><td>true</td><td></td></tr><tr><td><code>description</code></td><td>A string containing a description of the access token.</td><td>true</td><td></td></tr><tr><td><code>validFor</code></td><td>The lifetime of the token in seconds.</td><td>false</td><td>The access token does not expire if the validFor argument is omitted (note that this comes with additional security risks).</td></tr><tr><td><code>scope</code></td><td>The scope of the token describing what kind of actions can be performed with the access token. Can be one of "all" for unrestricted actions or "ogc" to only allow actions belonging to an OGC protocols.</td><td>false</td><td>Default 'all'.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ellipsis-drive.com/developers/api-v3/account/access-tokens/create-access-token.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
